import { HttpClient } from '@angular/common/http';
import { CookieService } from 'ngx-cookie-service';
export declare class EtherpadClientService {
    private http;
    private cookie;
    apiRoot: string;
    apiKey: string;
    constructor(http: HttpClient, cookie: CookieService);
    connect(settings: any): void;
    getDocSession(username: any, userId: any, meetingId: any, meetingName: any): Promise<{}>;
    createAuther(name: any): Promise<{}>;
    createAuthorIfNotExistsFor(name: any, userId: any): Promise<{}>;
    listPadsOfAuthor(authorID: any): Promise<{}>;
    getAuthorName(authorID: any): Promise<{}>;
    createGroup(meetingId: any): Promise<{}>;
    createGroupIfNotExistsFor(meetingId: any): Promise<{}>;
    deleteGroup(groupID: any): Promise<{}>;
    listPads(groupID: any): Promise<{}>;
    createGroupPad(groupID: any, padName: any, padText?: string): Promise<{}>;
    listAllGroups(): Promise<{}>;
    createSession(groupID: any, authorID: any): Promise<{}>;
    deleteSession(sessionId: any): Promise<{}>;
    getSessionInfo(sessionId: any): Promise<{}>;
    listSessionsOfGroup(groupID: any): Promise<{}>;
    listSessionsOfAuthor(authorID: any): Promise<{}>;
    createPad(padId: any, text?: string): Promise<{}>;
    getRevisionsCount(padId: any): Promise<{}>;
    getSavedRevisionsCount(padId: any): Promise<{}>;
    listSavedRevisions(padId: any): Promise<{}>;
    saveRevision(padId: any, rev: any): Promise<{}>;
    padUsersCount(padId: any): Promise<{}>;
    padUsers(padId: any): Promise<{}>;
    deletePad(padId: any): Promise<{}>;
    listAllPads(): Promise<{}>;
    getReadOnlyID(padId: any): Promise<{}>;
}
